// 文章
import axios from "../../util/ajax";

//分页获取文章列表
const queryIndexContent = (page, limit, params) =>
  axios.post(`/xyjc/index-content/query/${page}/${limit}`, params);

// 增加内容
const addIndexContent = params => axios.post(`/xyjc/index-content/add`, params);

// 编辑内容
const editIndexContent = params =>
  axios.post(`/xyjc/index-content/update`, params);

// 删除内容
const deleteIndexContent = id =>
  axios.delete(`/xyjc/index-content/delete/${id}`);

// 下架内容
const downOffIndexContent = (id, status) =>
  axios.post(`/xyjc/index-content/downOff/${id}?status=${status}`);

// 根据id查询内容
const detailIndexContent = id => axios.post(`/xyjc/index-content/detail/${id}`);

// 获取算法商城文章列表
const queryAlgorithmList = (page, limit, params) =>
  axios.post(`/xyjc/algorithm-mall/query/${page}/${limit}`, params);

// 删除算法信息
const deleteAlgorithm = (id) => axios.delete(`/xyjc/algorithm-mall/delete/${id}`)

// 增加具体算法信息
const addAlgorithm = (params) => axios.post(`/xyjc/algorithm-mall/add`, params)

// 根据ID查询具体算法信息
const getAlgorithmDetail = (id, hasGetChild) => axios.post(`/xyjc/algorithm-mall/detail/${id}?hasGetChild=${hasGetChild}`)

// 上下架算法信息 status=0正常 1下架
const downOffAlgorithm = (id, status) => axios.post(`/xyjc/algorithm-mall/downOff/${id}?status=${status}`)

// 获取算法名称列表下拉框
const getDropDownList = (params) => axios.get(`/xyjc/algorithm-mall/queryName`, { params })

// 编辑具体算法信息
const updateAlgorithm = (params) => axios.post(`/xyjc/algorithm-mall/update`, params)

// 下载文件
const downloadFile= (id) => axios.get(`/xyjc/index-files/download/${id}`, {responseType: 'blob'})

export default {
  queryIndexContent,
  addIndexContent,
  editIndexContent,
  deleteIndexContent,
  downOffIndexContent,
  detailIndexContent,
  queryAlgorithmList,
  deleteAlgorithm,
  addAlgorithm,
  getAlgorithmDetail,
  downOffAlgorithm,
  getDropDownList,
  updateAlgorithm,
  downloadFile
};
