export default {
  theme: {
    basic: [
      {
        title: '基本信息',
        content: [
          {
            label: '实体名称',
            key: 'logicTbName'
          },
          {
            label: '创建人',
            key: 'createBy'
          },
          {
            label: '表英文名称',
            key: 'tbName'
          },
          {
            label: '创建时间',
            key: 'createTime'
          },
          {
            label: '所属主题',
            key: 'l1,l2,l3'
          },
          {
            label: '描述',
            key: 'description'
          },
          {
            label: '逻辑实体编码',
            key: 'code'
          },
          {
            label: '逻辑实体类型',
            key: 'tableType'
          },
        ]
      }
    ],
    columns: [
      {
        label: '字段名',
        key: 'nameCh'
      },
      {
        label: '英文名称',
        key: 'nameEn'
      },
      {
        label: '数据类型',
        key: 'dataType'
      },
      {
        label: '编码',
        key: 'code'
      },
      {
        label: '描述',
        key: 'description'
      }
    ]
  },
  target: {
    basic: [
      {
        title: '基本信息',
        content: [
          {
            label: '标准名称',
            key: 'name'
          },
          {
            label: '指标定义',
            key: 'definition'
          },
          {
            label: '标准编码',
            key: 'code'
          },
          {
            label: '备注',
            key: 'remark'
          },
          {
            label: '标准别名',
            key: 'nameAlias'
          },
          {
            label: '创建时间',
            key: 'createTime'
          },
          {
            label: '归属的流程架构路径/所属目录',
            key: 'l1,l2,l3'
          },
          {
            label: '修改时间',
            key: 'updateTime'
          },
          {
            label: '设置目的',
            key: 'destination'
          },
          {
            label: '审核时间',
            key: 'approvalTime'
          },
        ]
      },
      {
        title: '数据信息',
        content: [
          {
            label: '计算公式',
            key: 'expression'
          },
          {
            label: '刷新频率',
            key: 'intervalType'
          },
          {
            label: '统计周期',
            key: 'timeFilters'
          },
          {
            label: '度量对象',
            key: 'measure'
          },
          {
            label: '统计维度',
            key: 'dimensions'
          },
          {
            label: '关联技术指标',
            key: 'technicalMetricName'
          },
          {
            label: '统计口径和修饰词',
            key: 'generalFilters'
          },
          {
            label: '计量单位',
            key: 'unit'
          },
        ]
      },
      {
        title: '管理信息',
        content: [
          {
            label: '数据来源',
            key: 'dataOrigin'
          },
          {
            label: '指标管理部门',
            key: 'ownerDepartment'
          },
          {
            label: '指标责任人',
            key: 'owner'
          },
        ]
      }
    ]
  },
  api: {
    basic: [
      {
        title: '服务标题',
        content: [
          {
            label: 'API名称',
            key: 'name'
          },
          {
            label: '是否支持跨域',
            key: 'cors'
          },
          {
            label: 'API url',
            key: 'url'
          },
          {
            label: '成功响应示例',
            key: 'resultNormalSample'
          },
          {
            label: 'API的请求方式',
            key: 'reqMethod'
          },
          {
            label: 'API的认证方式',
            key: 'authType'
          },
          {
            label: '使用系统',
            key: 'useDept'
          },
        ]
      }
    ],
    columns: [
      {
        label: '参数名称',
        key: 'name'
      },
      {
        label: '参数类型',
        key: 'type'
      },
      {
        label: '参数位置',
        key: 'location'
      },
      {
        label: '描述信息',
        key: 'remark'
      },
      {
        label: '是否必须',
        key: 'required'
      }
    ]
  },
  message: {
    basic: [
      {
        title: '基础信息',
        content: [
          {
            label: 'Topic名称',
            key: 'name'
          },
          {
            label: '老化时间（小时）',
            key: 'retentionTime'
          },
          {
            label: '集成应用数',
            key: 'appNum'
          },
          {
            label: '描述',
            key: 'description'
          },
          {
            label: 'topic分区数',
            key: 'partitions'
          },
          {
            label: '副本数',
            key: 'replication'
          },
        ]
      }
    ],
    columns: [
      {
        label: '集成应用',
        key: 'appName'
      },
      {
        label: '权限',
        key: 'accessPolicy'
      },
    ]
  }
}
