import Vue from "vue";
import Router from "vue-router";

// 解决重复点菜单报错问题
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
Vue.use(Router);

export default new Router({
  routes: [
    { path: "/", redirect: "/redirectMaintain" },
    {
      path: "/index",
      component: () => import("../pages/index/layouts/indexLayout.vue"),
      children: [
        {
          name: "redirectMaintain",
          path: "/redirectMaintain",
          component: () => import("../pages/index/components/searchPage.vue")
        },
        {
          name: "entityDetail",
          path: "/entityDetail",
          component: () => import("../pages/index/components/entityDetail.vue")
        }
      ]
    }
  ]
});
